Mailinglist Archive: zypp-devel (27 mails)

< Previous Next >
Re: [zypp-devel] New Resolver::addUpgradeRepo to perform a dist upgrade restricted to certain repositories.
  • From: Jano Kupec <jkupec@xxxxxxx>
  • Date: Tue, 04 Aug 2009 12:56:33 +0200
  • Message-id: <4A7813E1.7030200@xxxxxxx>
Michael Andres wrote:
On Tuesday 04 August 2009 09:35:35 Jano Kupec wrote:
Michael Andres wrote:
JFYI: libzypp-6.13.0 Resolver::addUpgradeRepo to perform a dist upgrade
restricted to one (or more, if called repeatedly) repository.
Can you explain how is this different from not loading the unwanted
repos? I suppose in that it still can satisfy some deps from the other
repos if needed?

Yes. Michael (mls) mentioned this in several bugreports that this approach
should give better results.

OK, i just wanted to make sure that this is *the* thing mls had in mind.
I'll add --from for this - in the future all installing commands should
get this option (install already has it). So that we have these two in
zypper:

--repo - only load this repo
--from - install/upgrade from this repo, but satisfy deps from
elsewhere if needed

--
cheers,
jano


Ján Kupec
YaST team
---------------------------------------------------------(PGP)---
Key ID: 637EE901
Fingerprint: 93B9 C79B 2D20 51C3 800B E09B 8048 46A6 637E E901
---------------------------------------------------------(IRC)---
Server: irc.freenode.net
Nick: jniq
Channels: #zypp #yast #suse #susecz
---------------------------------------------------------(EOF)---

< Previous Next >
List Navigation